package com.gyee.alarm.mapper.auto;

import com.gyee.alarm.model.auto.ProEconCurveFittYearSub;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 风电机年拟合曲线子表 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-11-07
 */
public interface ProEconCurveFittYearSubMapper extends BaseMapper<ProEconCurveFittYearSub> {
    @Delete(" delete from pro_econ_curve_fitt_year_sub where year=#{year}  AND  windturbine_id like '%_F_%' ")
    public int deleteProEconCurveFittYearSubFByYear(@Param(value = "year") String year);

    @Delete(" delete from pro_econ_curve_fitt_year_sub where year=#{year}  AND  windturbine_id like '%_G_%' ")
    public int deleteProEconCurveFittYearSubGByYear(@Param(value = "year") String year);
}
