package com.gyee.alarm.service.auto.impl;

import com.gyee.alarm.model.auto.ProEconWtCurveFitting;
import com.gyee.alarm.mapper.auto.ProEconWtCurveFittingMapper;
import com.gyee.alarm.service.auto.IProEconWtCurveFittingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
@Service
public class ProEconWtCurveFittingServiceImpl extends ServiceImpl<ProEconWtCurveFittingMapper, ProEconWtCurveFitting> implements IProEconWtCurveFittingService {


    @Resource
    private ProEconWtCurveFittingMapper proEconWtCurveFittingMapper;

    @Override
    public int deleteProEconWtCurveFittingFByDay(Date recodedate) {
        return  proEconWtCurveFittingMapper.deleteProEconWtCurveFittingFByDay(recodedate);
    }
    @Override
    public int deleteProEconWtCurveFittingGByDay(Date recodedate) {
        return  proEconWtCurveFittingMapper.deleteProEconWtCurveFittingGByDay(recodedate);
    }
}
