package com.gyee.alarm.model.auto;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备故障模式度量
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicDeviceFaultMetrics extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 设备
     */
    @TableId(value = "ID",type = IdType.INPUT)
    private String deviceId;

    /**
     * 故障模式
     */
    private String faultmode;

    /**
     * 公制
     */
    private String metricCode;

    /**
     * 下限
     */
    private BigDecimal lowerLimit;

    /**
     * 上限
     */
    private BigDecimal upperLimit;


}
