package com.gyee.alarm.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.alarm.mapper.auto.ProEconAlarmRuleMapper;
import com.gyee.alarm.model.auto.ProBasicFeatureStat;
import com.gyee.alarm.model.auto.ProEconAlarmRule;
import com.gyee.alarm.model.vo.AlarmRuleVo;
import com.gyee.alarm.service.auto.IProBasicFeatureStatService;
import com.gyee.alarm.service.auto.IProEconAlarmTypeService;
import com.gyee.alarm.util.SnowflakeGenerator;
import com.gyee.alarm.util.StringUtil;
import com.gyee.alarm.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;


@Service
public class FeatureStatService {


    @Resource
    private IProBasicFeatureStatService proBasicFeatureStatService;


    public List<ProBasicFeatureStat> searchByCondition(Date begin, Date end, String stationId, String wtId)
    {
        List<ProBasicFeatureStat> ls=new ArrayList<>();

        if(StringUtils.notEmp(begin) && StringUtils.notEmp(end) && StringUtils.notEmp(end))
        {
            ls=proBasicFeatureStatService.searchByCondition(begin,end,stationId,wtId);
        }
        return  ls;
    }
}
