package com.gyee.alarm.mapper.auto;

import com.gyee.alarm.model.auto.ProEconCurveFittingMain;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 * 风电机拟合曲线主表 Mapper 接口
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface ProEconCurveFittingMainMapper extends BaseMapper<ProEconCurveFittingMain> {

    @Delete(" delete from pro_econ_curve_fitting_main where record_date=#{recordDate}  AND  windturbine_id like '%_F_%'  ")
    public int deleteProEconCurveFittingMainFByDay(@Param(value = "recordDate") Date recordDate);
    @Delete(" delete from pro_econ_curve_fitting_main where record_date=#{recordDate}  AND  windturbine_id like '%_G_%' ")
    public int deleteProEconCurveFittingMainGByDay(@Param(value = "recordDate") Date recordDate);
}
