package com.gyee.alarm.model.auto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报警开关
 * </p>
 *
 * @author shilin
 * @since 2023-09-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProEconAlarmSwitch extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 报警级别
     */
    private Integer alarmLevel;

    /**
     * 是否弹窗
     */
    private Integer isAlart;

    /**
     * 是否报警声音
     */
    private Integer isAlarmSound;

    /**
     * 是否持续报警
     */
    private Integer isContinuousAlarm;


}
